local exampleSpec = 253

--- Spell Tables and Prompts --
--
-- spells[spellId] = { "Spell Name", charges, cdDur, cdExpiration, unitId, spellType}
local exampleSpells = { 
		[217200] = { "Barbed Shot", 	2, 	0, 	0, 	"player", 	SPELL_TYPE_ABILITY},
		[272790] = { "Frenzy", 			0, 	0, 	0, 	"pet", 		SPELL_TYPE_AURA}
}

local exampleEvents = {
	--["UNIT_HEALTH"] = { }
}

local exampleSegments = {
--[[ [spellId][i] = { {startConditionals, stopConditionals}, {seg1}, {seg2}, ..., {segN} } ]]--
		[272790] = { -- Frenzy
			{
				{
					"return spells[272790][SPELL_EXPIRATION] > 0", -- Start conditional
					false											-- Stop conditional
				},
			--- {LNGTH,		SOUND_FILE,									nil,	CONDITIONAL }
				{3.0, 		nil,										nil,	true}, -- 3 second pause
				{5.0, 		SOUNDS_ROOT.."Timers/pulse_1.ogg", 			nil,	"return select(UNIT_AURA_COUNT, GetAuraInfo(\"pet\", 272790)) == 1"},
				{nil, 		SOUNDS_ROOT.."Timers/pulse_1_dropped.ogg", 	nil,	PROMPTSEG_CONDITIONAL_CONTINUATION}, -- If not reset or stopped, play on completion of previous segment
				{5.0, 		SOUNDS_ROOT.."Timers/pulse_2.ogg", 			nil,	"return select(UNIT_AURA_COUNT, GetAuraInfo(\"pet\", 272790)) == 2"},
				{nil, 		SOUNDS_ROOT.."Timers/pulse_2_dropped.ogg",	nil,	PROMPTSEG_CONDITIONAL_CONTINUATION},
				{5.0, 		SOUNDS_ROOT.."Timers/pulse_3.ogg", 			nil,	"return select(UNIT_AURA_COUNT, GetAuraInfo(\"pet\", 272790)) == 3"},
				{nil, 		SOUNDS_ROOT.."Timers/pulse_3_dropped.ogg",	nil,	PROMPTSEG_CONDITIONAL_CONTINUATION} 
			}
		},
		[217200] = { -- Barbed Shot
			{
				{
					"return spells[217200][SPELL_CHARGES] > spellsSnapshot[217200][SPELL_CHARGES]",
					false
				},
				{0.25, 		SOUNDS_ROOT.."barbed_primer.ogg",			nil,	true },
				{nil, 		SOUNDS_ROOT.."barbed_charge_1.ogg", 		nil,	"return GetSpellCharges(217200) == 1"},
				{nil, 		SOUNDS_ROOT.."barbed_charge_2.ogg",			nil,	"return GetSpellCharges(217200) == 2"}
			}
		}
}
--
-- /Spell Tables and Rules

--- Funcs --
--
function GetExampleSpec()
	return exampleSpec
end

function GetExampleSpells()
	return exampleSpells
end

function GetExampleEvents()
	return exampleEvents
end

function GetExampleSegments()
	return exampleSegments
end

function GetExample()
	return {spells=exampleSpells, events=exampleEvents, segments=exampleSegments}
end
--
-- /Funcs --